/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Dec 23, 2011
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.awiv.business;

import java.io.Serializable;

/**
 * @author ZZZZZZWERFEJ
 *
 */
public class AwivSite
implements Serializable
{
	private static final long serialVersionUID = 3536885013991747563L;
	
	private String siteName;
	private String siteNumber;
	
	public AwivSite()
	{
		super();
	}
	
	public AwivSite(String siteName, String siteNumber)
	{
		super();
		this.siteName = siteName;
		this.siteNumber = siteNumber;
	}
	
	public String getSiteName()
	{
		return siteName;
	}
	
	public void setSiteName(String siteName)
	{
		this.siteName = siteName;
	}
	
	public String getSiteNumber()
	{
		return siteNumber;
	}
	
	public void setSiteNumber(String siteNumber)
	{
		this.siteNumber = siteNumber;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return siteName + " [" + siteNumber + "]";
	}
}
