/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Mar 2, 2012
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.awiv.business;

import java.io.Serializable;

/**
 * This object contains the value from ObjectStatus
 * 
 * @author ZZZZZZWERFEJ
 *
 */
public class AwivStudyStatus
implements Serializable
{
	private static final long serialVersionUID = -2101007301427945546L;
	
	private int studyStatus;
	private String studyStatusDescription;
	
	public AwivStudyStatus()
	{
		super();
	}

	public AwivStudyStatus(int studyStatus, String studyStatusDescription)
	{
		super();
		this.studyStatus = studyStatus;
		this.studyStatusDescription = studyStatusDescription;
	}

	public int getStudyStatus()
	{
		return studyStatus;
	}

	public void setStudyStatus(int studyStatus)
	{
		this.studyStatus = studyStatus;
	}

	public String getStudyStatusDescription()
	{
		return studyStatusDescription;
	}

	public void setStudyStatusDescription(String studyStatusDescription)
	{
		this.studyStatusDescription = studyStatusDescription;
	}

}
