/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Jan 5, 2012
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.awiv.client.ui.widgets;

/**
 * @author ZZZZZZWERFEJ
 *
 */
public class AwivConstants
{

	public final static String magDispClinSecurityKey = "MAGDISP CLIN";
	public final static String magDispAdminSecurityKey = "MAGDISP ADMIN";
	public final static String magReviewNcatSecurityKey = "MAG REVIEW NCAT";
	public final static String magPatPhotoOnlySecurityKey = "MAG PAT PHOTO ONLY";
	public final static String magSystemSecurityKey = "MAG SYSTEM";
	public final static String magEditSecurityKey = "MAG EDIT";
	public final static String magRoiSecurityKey = "MAG ROI";
	
	public final static String clinStudyClass = "CLIN";
	public final static String adminStudyClass = "ADMIN";
	
	public final static String ieUserAgent = "msie";
	
	public final static String claimsServerSiteNumber = "100";
	
	public final static int httpStatusForbidden = 403;
	public final static int httpStatusUnauthorized = 401;
	
	public final static String enterButtonKeyName = "Enter";
	
	public final static int idleTimeout = 20; // 20 minutes

	/**
	 * The name of the cookie that holds the encrypted user information
	 */
	public final static String userCookieName = "user";
	
	public final static String sslHttpProtocol = "https:";
	
	public final static String defaultSslPort = "443";
	
	public final static String sslPortCookieName = "sslPort";
	
	public final static String patientCookieName = "patient";
	
	public final static String awivParametersCookie = "awivParams";
	
	public final static String awivParametersDelimiter = "||";
	
	public final static int objectStatusNeedsReview = 11;
}
