<%@page import="gov.va.med.imaging.exchange.business.WelcomeMessage"%>
<%@page import="gov.va.med.imaging.exchange.RoutingTokenHelper"%>
<%@page import="gov.va.med.RoutingToken"%>
<%@page import="gov.va.med.imaging.awiv.AWIVClientContext"%>
<%@page import="gov.va.med.imaging.awiv.AWIVClientRouter"%>
<%@ page language="java" import="java.util.*" pageEncoding="ISO-8859-1"%>
<jsp:directive.page session="false" contentType="text/html" />
<%@ taglib uri="http://imaging.domain.ext/vix/artifactsource" prefix="site"%>
<%@ taglib uri="http://imaging.domain.ext/vix/welcomemessage" prefix="welcomemessage"%>
<%@ taglib uri="http://imaging.domain.ext/vix/welcomemessageextended" prefix="welcomemessageextended"%>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
String siteNumber = request.getParameter("siteNumber");

if(siteNumber == null || siteNumber.length() <= 0)
{
	Cookie [] cookies = request.getCookies();
	if(cookies != null)
	{
		for(Cookie cookie : cookies)
		{
			if("authenticationSiteNumber".equals(cookie.getName()))
			{
				siteNumber = cookie.getValue();
			}
		}
	}
}

if(siteNumber == null || siteNumber.length() <= 0)
{
	response.sendRedirect("index.jsp");
	return;
}
%>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
  <head>
    <base href="<%=basePath%>">
    
    <title>VistA Imaging AWIV - Login</title>
    
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="cache-control" content="no-store,no-cache,must-revalidate">
	<meta http-equiv="expires" content="-1">    
	<meta http-equiv="keywords" content="keyword1,keyword2,keyword3">
	<meta http-equiv="description" content="This is my page">
	<link rel="stylesheet" type="text/css" href="style.css" />
	<script type="text/javascript" src="script/vix.js" />	
	
	<script type="text/javascript">
	
	</script>

  </head>
  
  <body onLoad="setUsernameFocus();">
  	<div id="container">
	  	<div id="header">
	  		<div id="header-name">
	  			VistA Imaging AWIV - Login
	  		</div>
	  		<div id="header-site">
	  			<a class="header-site" href="index.jsp">(Change)</a>
	  			<site:ResolvedArtifactSource siteNumber="<%= siteNumber %>">
					<site:ResolvedArtifactSourceArtifactSource>
						<site:ArtifactSourceAsSite>
							<site:SiteName />
						</site:ArtifactSourceAsSite>				
					</site:ResolvedArtifactSourceArtifactSource>			
				</site:ResolvedArtifactSource>
	  		</div>
	  	</div>
	  	
	  	<div id="content">
  	 		<welcomemessage:WelcomeMessage siteNumber="<%= siteNumber %>">
		  	<div id="vista-message">		  		
	  				<welcomemessage:WelcomeMessageDetails />
	  				<welcomemessage:WelcomeMessageErrorMessage />	  			
		  	</div>
		  	
		  	<jsp:element name="div">
		  		<jsp:attribute name="id"><welcomemessageextended:WelcomeMessageLoginDialogStyle/></jsp:attribute>
		  		<jsp:body>
			  	 <form method="POST" action="j_security_check">
			  		<input type="hidden" name="j_username" id="j_uname">
			  		<site:ResolvedArtifactSource siteNumber="<%= siteNumber %>">
						<site:ResolvedArtifactSourceArtifactSource>
							<site:ArtifactSourceAsSite>
						  		<jsp:element name="input">
						  			<jsp:attribute name="type">hidden</jsp:attribute>
						  			<jsp:attribute name="id">siteInfo</jsp:attribute>
						  			<jsp:attribute name="value">
						  				<site:SiteVistaServer/>:<site:SiteVistaPort/>;<site:SiteNumber/>;<site:SiteName/>
									</jsp:attribute>
						  		</jsp:element>
			  				</site:ArtifactSourceAsSite>				
						</site:ResolvedArtifactSourceArtifactSource>			
					</site:ResolvedArtifactSource>
				    <table border="0" class="login">
				    	 <tr>
				    	 	<th>Access Code:</th>
				    		<td><input type="password" name="uname" id="username" tabindex="1"></td>
				    		<td><input type="submit" value="OK" tabindex="3" onclick="javascript:updateUsername();" width="100%"></td>
				    	 </tr>
				    	 <tr>
				    		<th>Verify Code:</th>
				    		<td><input type="password" name="j_password" tabindex="2"></td>
				    		<td>&nbsp;</td>
				    	</tr>
				    </table>	    
				    
			  	 </form>
			  	 </jsp:body>
		  	 </jsp:element>
		  	 </welcomemessage:WelcomeMessage>
		  	 
		  	 <jsp:include flush="false" page="browserWarning.html" />
	  	 </div>
	</div>
    
  </body>
</html>

