/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * This package contains the definitions of each of the data source service provider interfaces (SPI). 
 * Each SPI defines the methods for operations on a subset of the business objects.
 * <p>SPIs are classified as either "local" or "versionable".  A local SPI usually has one instance running
 * in a VISA application and references information accessible through file operations.  A versionable
 * SPI does some network operation to access its data and supports versioning of the protocol used to
 * access the data.
 *
 * @since 1.0
 */
package gov.va.med.imaging.datasource;
