/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Aug 12, 2011
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.dd.rest.types;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * @author ZZZZZZWERFEJ
 *
 */
@XmlRootElement(name="dataDictionaryResultEntryField")
@XmlType(propOrder={"field", "internalValue", "externalValue"})
public class DataDictionaryResultEntryFieldType
{
	private String field;
	private String internalValue;
	private String externalValue;
	
	public DataDictionaryResultEntryFieldType()
	{
		super();
	}
	
	public DataDictionaryResultEntryFieldType(String field,
			String internalValue, String externalValue)
	{
		super();
		this.field = field;
		this.internalValue = internalValue;
		this.externalValue = externalValue;
	}

	@XmlElement(name = "number")
	public String getField()
	{
		return field;
	}

	public void setField(String field)
	{
		this.field = field;
	}

	public String getInternalValue()
	{
		return internalValue;
	}

	public void setInternalValue(String internalValue)
	{
		this.internalValue = internalValue;
	}

	public String getExternalValue()
	{
		return externalValue;
	}

	public void setExternalValue(String externalValue)
	{
		this.externalValue = externalValue;
	}
}
