/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.proxy.exceptions;

/**
 * @author zzzzzzbeckec
 * @deprecated No longer use this exception, use one of the business exceptions (ConnectionException, MethodException) or its derivatives
 *
 */
@Deprecated
public class ProxyException
extends Exception
{
	private static final long serialVersionUID = 1L;
	private final String transactionId;

	public ProxyException(String transactionId)
	{
		super();
		this.transactionId = transactionId;
	}

	public ProxyException(String transactionId, String message, Throwable cause)
	{
		super(message, cause);
		this.transactionId = transactionId;
	}

	public ProxyException(String transactionId, String message)
	{
		super(message);
		this.transactionId = transactionId;
	}

	public ProxyException(String transactionId, Throwable cause)
	{
		super(cause);
		this.transactionId = transactionId;
	}

	/**
	 * @return the transactionId
	 */
	public String getTransactionId()
	{
		return this.transactionId;
	}
}
