/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package org.ihe.iti.xdsb.adb;

import java.io.InputStream;
import javax.xml.stream.XMLInputFactory;
import javax.xml.stream.XMLStreamReader;
import org.oasis.ebxml.regrep.query.xmlbeans.AdhocQueryResponseDocument.AdhocQueryResponse;
import junit.framework.Assert;
import junit.framework.TestCase;

/**
 * @author zzzzzzbeckec
 * 
 */
public class TestAdhocQueryResponse
	extends TestCase
{
	private static String[] positiveTests = new String[]
	{ "VAQueryResponse001.xml" };

	@Override
	protected void setUp() throws Exception
	{
		super.setUp();
	}

	@Override
	protected void tearDown() throws Exception
	{
		super.tearDown();
	}

	/**
	 * 
	 */
	public void testPositiveParse()
	{
		boolean success = true;
		for (String resourceName : positiveTests)
		{
			try
			{
				parseDocument(resourceName);
			}
			catch (Exception x)
			{
				x.printStackTrace();
				success = false;
			}
		}

		if (!success)
			Assert.fail();
	}

	private void parseDocument(String resourceName) throws Exception
	{
		InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream(resourceName);
		XMLInputFactory inputFactory = XMLInputFactory.newInstance();
		XMLStreamReader reader = inputFactory.createXMLStreamReader(inputStream);

		//AdhocQueryResponse rdsr = AdhocQueryResponse.Factory.parse(reader);
	}

}
