/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace VixClientV3_Study.types
{
    [XmlRoot("study")]
    public class LoadedStudyType : StudyType
    {

        [XmlElement("serieses")]
        public SeriesesType Series { get; set; }
        //public SeriesType[] series { get; set; }
        

        /*
        [XmlElement("captureDate")]
        public string CaptureDate { get; set; }
        [XmlElement("capturedBy")]
        public string CapturedBy { get; set; }
        [XmlElement("cptCode")]
        public string CptCode { get; set; }
        [XmlElement("description")]
        public string Description { get; set; }
        [XmlElement("event")]
        public string Event { get; set; }
        [XmlElement("firstImageId")]
        public string FirstImageId { get; set; }
        [XmlElement("imageCount")]
        public int ImageCount { get; set; }
        [XmlElement("imagePackage")]
        public string ImagePackage { get; set; }
        [XmlElement("imageType")]
        public string ImageType { get; set; }
        [XmlElement("noteTitle")]
        public string NoteTitle { get; set; }
        [XmlElement("origin")]
        public string Origin { get; set; }
        [XmlElement("patientId")]
        public string PatientId { get; set; }
        [XmlElement("patientName")]
        public string PatientName { get; set; }
        [XmlElement("procedureDate")]
        public DateTime ProcedureDate { get; set; }
        [XmlElement("procedureDescription")]
        public string ProcedureDescription { get; set; }
        [XmlElement("sensitive")]
        public bool Sensitive { get; set; }
        [XmlElement("siteAbbreviation")]
        public string SiteAbbreviation { get; set; }
        [XmlElement("siteName")]
        public string SiteName { get; set; }
        [XmlElement("siteNumber")]
        public string SiteNumber { get; set; }
        [XmlElement("specialtyDescription")]
        public string SpecialtyDescription { get; set; }
        [XmlElement("studyClass")]
        public string StudyClass { get; set; }
        [XmlElement("studyId")]
        public string StudyId { get; set; }
        [XmlElement("studyImagesHaveAnnotations")]
        public bool StudyImagesHaveAnnotations { get; set; }
        [XmlElement("studyPackage")]
        public string StudyPackage { get; set; }
        [XmlElement("studyStatus")]
        public string StudyStatus { get; set; }
        [XmlElement("studyViewStatus")]
        public string StudyViewStatus { get; set; }
        [XmlElement("awivParameters")]
        public string AwivParameters { get; set; }
        [XmlElement("firstImage")]
        public StudyImageType FirstImage { get; set; }
        */
    }
}
