/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace VixClientV3_Study.types
{
    //[XmlRoot("image")]
    public class StudyImageType
    {
        [XmlElement("associatedNoteResulted")] 
        public string AssociatedNoteResulted { get; set; }
        [XmlElement("captureDate")]
        public string CaptureDate { get; set; }


        [XmlElement("diagnosticImageUri")]
        public string DiagnosticImageUri { get; set; }
        
        [XmlElement("dicomImageNumber")]
        public string DicomImageNumber { get; set; }
        [XmlElement("dicomSequenceNumber")]
        public string DicomSequenceNumber{get;set;}
        [XmlElement("dicomUid")]
        public string DicomUid { get; set; }
        [XmlElement("documentDate")]
        public string DocumentDate { get; set; }
        [XmlElement("imageHasAnnotations")]
        public bool ImageHasAnnotations { get; set; }
        [XmlElement("imageId")]
        public string ImageId { get; set; }
        [XmlElement("imageStatus")]
        public string ImageStatus { get; set; }
        [XmlElement("imageType")]
        public string ImageType { get; set; }
        [XmlElement("imageViewStatus")]
        public string ImageViewStatus { get; set; }
        [XmlElement("referenceImageUri")]
        public string ReferenceImageUri { get; set; }
        [XmlElement("thumbnailImageUri")]
        public string ThumbnailImageUri { get; set; }
        [XmlElement("sensitive")]
        public bool Sensitive { get; set; }
        
        public StudyImageType()
        {
        }
    }
}
