/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Jan 27, 2012
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  ZZZZZZWERFEJ
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.awiv.business;

import java.io.Serializable;

/**
 * @author ZZZZZZWERFEJ
 *
 */
public class AwivStudyDetails
implements Serializable
{
	private static final long serialVersionUID = 2405068501567950497L;
	
	private AwivStudy awivStudy;
	private AwivImage [] awivImages;
	
	public AwivStudyDetails()
	{
		super();
	}

	/**
	 * @param awivStudy
	 * @param awivImages
	 */
	public AwivStudyDetails(AwivStudy awivStudy, AwivImage[] awivImages)
	{
		super();
		this.awivStudy = awivStudy;
		this.awivImages = awivImages;
	}

	/**
	 * @return the awivStudy
	 */
	public AwivStudy getAwivStudy()
	{
		return awivStudy;
	}

	/**
	 * @param awivStudy the awivStudy to set
	 */
	public void setAwivStudy(AwivStudy awivStudy)
	{
		this.awivStudy = awivStudy;
	}

	/**
	 * @return the awivImages
	 */
	public AwivImage[] getAwivImages()
	{
		return awivImages;
	}

	/**
	 * @param awivImages the awivImages to set
	 */
	public void setAwivImages(AwivImage[] awivImages)
	{
		this.awivImages = awivImages;
	}
}
