/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created: Oct 23, 2009
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:  zzzzzzwerfej
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.core.interfaces.exceptions;

/**
 * Generic security exception occurs when a client attempts to access data without the proper
 * or valid credentials. 
 * 
 * @author zzzzzzwerfej
 *
 */
public class SecurityException 
extends ConnectionException
{
	
private static final long serialVersionUID = 1L;
	
	public SecurityException()
	{
		super();
	}

	public SecurityException(String message)
	{
		super(message);
	}

	public SecurityException(Throwable cause)
	{
		super(cause);
	}

	public SecurityException(String message, Throwable cause)
	{
		super(message, cause);
	}

}
