/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.exchange.business;

public class WorkItemFilter {
	private String type;
	private String subtype = "";
	private String status = "";
	private String placeId = "";
	private String itemPriority = "";
	private String shortCircuitTagName = "";
	private String maximumNumberOfItemsToReturn = "";
	
	private WorkItemTags tags = new WorkItemTags();

	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getSubtype() {
		return subtype;
	}
	public void setSubtype(String subtype) {
		this.subtype = subtype;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getPlaceId() {
		return placeId;
	}
	public void setPlaceId(String placeId) {
		this.placeId = placeId;
	}
	public String getItemPriority() {
		return itemPriority;
	}
	public void setItemPriority(String itemPriority) {
		this.itemPriority = itemPriority;
	}
	public WorkItemTags getTags() {
		return tags;
	}
	public void setTags(WorkItemTags tags) {
		this.tags = tags;
	}
	public void setShortCircuitTagName(String shortCircuitTagName) {
		this.shortCircuitTagName = shortCircuitTagName;
	}
	public String getShortCircuitTagName() {
		return shortCircuitTagName;
	}
	public void setMaximumNumberOfItemsToReturn(
			String maximumNumberOfItemsToReturn) {
		this.maximumNumberOfItemsToReturn = maximumNumberOfItemsToReturn;
	}
	public String getMaximumNumberOfItemsToReturn() {
		return maximumNumberOfItemsToReturn;
	}	
}
