/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.asynchproxy.router;

import gov.va.med.asynchproxy.AsynchProxyFactory;
import junit.framework.TestCase;

public class AsynchProxyTest extends TestCase
{

	protected void setUp() throws Exception
	{
		super.setUp();
	}

	public void testAsynchOperation()
	{
		AsynchProxyFactory<Router> asynchFactory = new AsynchProxyFactory<Router>();
		
		try
        {
			AsynchRouterClient client = new AsynchRouterClient();
	        Router asynchRouter = asynchFactory.createAsynchProxy(Router.class, new RouterImpl(), client);
	        String[] result = asynchRouter.getStuff(1);
	        assertNull(result);
	        result = asynchRouter.getStuff(2);
	        assertNull(result);
	        result = asynchRouter.getStuff(3);
	        assertNull(result);
	        result = asynchRouter.getStuff(4);
	        assertNull(result);
	        result = asynchRouter.getStuff(5);
	        assertNull(result);
	        result = asynchRouter.getStuff(6);
	        assertNull(result);
	        result = asynchRouter.getStuff(7);
	        assertNull(result);
	        result = asynchRouter.getStuff(8);
	        assertNull(result);
	        result = asynchRouter.getStuff(9);
	        assertNull(result);
	        result = asynchRouter.getStuff(10);
	        assertNull(result);
	        result = asynchRouter.getStuff(11);
	        assertNull(result);
	        result = asynchRouter.getStuff(12);
	        assertNull(result);
	        
	        Thread.sleep(2000);
	        
	        assertEquals(12, client.getResultCount());
        } 
		catch (Exception e)
        {
			e.printStackTrace();
			fail(e.getMessage());
        } 		
	}
	
	protected void tearDown() throws Exception
	{
		super.tearDown();
	}

}
