/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
/**
 * 
 */
package gov.va.med.imaging.dicom.common;

/**
 * @author zzzzzzpeterb
 *
 */
public class DicomFileMetaInfo {
	
	String implementationClassUID = null;
	String implementationVersionName = null;
	String sourceAET = null;
	String transfersyntaxUID = null;

	
	/**
	 * @return the implementationClassUID
	 */
	public String getImplementationClassUID() {
		return implementationClassUID;
	}
	/**
	 * @param implementationClassUID the implementationClassUID to set
	 */
	public void setImplementationClassUID(String implementationClassUID) {
		this.implementationClassUID = implementationClassUID;
	}
	/**
	 * @return the implementationVersionName
	 */
	public String getImplementationVersionName() {
		return implementationVersionName;
	}
	/**
	 * @param implementationVersionName the implementationVersionName to set
	 */
	public void setImplementationVersionName(String implementationVersionName) {
		this.implementationVersionName = implementationVersionName;
	}
	/**
	 * @return the sourceAET
	 */
	public String getSourceAET() {
		return sourceAET;
	}
	/**
	 * @param sourceAET the sourceAET to set
	 */
	public void setSourceAET(String sourceAET) {
		this.sourceAET = sourceAET;
	}
	/**
	 * @return the transfersyntaxUID
	 */
	public String getTransfersyntaxUID() {
		return transfersyntaxUID;
	}
	/**
	 * @param transfersyntaxUID the transfersyntaxUID to set
	 */
	public void setTransfersyntaxUID(String transfersyntaxUID) {
		this.transfersyntaxUID = transfersyntaxUID;
	}
}
