/**
 * 
  Package: MAG - VistA Imaging
  WARNING: Per VHA Directive 2004-038, this routine should not be modified.
  Date Created:
  Site Name:  Washington OI Field Office, Silver Spring, MD
  Developer:
  Description: 

        ;; +--------------------------------------------------------------------+
        ;; Property of the US Government.
        ;; No permission to copy or redistribute this software is given.
        ;; Use of unreleased versions of this software requires the user
        ;;  to execute a written test agreement with the VistA Imaging
        ;;  Development Office of the Department of Veterans Affairs,
        ;;  telephone (301) 734-0100.
        ;;
        ;; The Food and Drug Administration classifies this software as
        ;; a Class II medical device.  As such, it may not be changed
        ;; in any way.  Modifications to this software may result in an
        ;; adulterated medical device under 21CFR820, the use of which
        ;; is considered to be a violation of US Federal Statutes.
        ;; +--------------------------------------------------------------------+

 */
package gov.va.med.imaging.url.vista;

import java.util.logging.Level;
import java.util.logging.Logger;

import junit.framework.TestCase;

/**
 * An abstract test case for any test case that uses a "vista" protocol
 * 
 * @author ZZZZZZBECKEC
 *
 */
public abstract class AbstractVistaConnectionTest 
extends TestCase
{
	protected final static Logger logger = Logger.getLogger(AbstractVistaConnectionTest.class.getName());
	
	
	@Override
	protected void setUp() 
	throws Exception
	{
		super.setUp();
		
		// turn logging up to max
	    Logger.getLogger("gov.va.med").setLevel(Level.INFO);
	    
		String handlerPackages = System.getProperty("java.protocol.handler.pkgs");
		System.setProperty("java.protocol.handler.pkgs",
		        handlerPackages == null || handlerPackages.length() == 0 ? 
		        "gov.va.med.imaging.url" : 
		        handlerPackages + "|" + "gov.va.med.imaging.url");
		
		//List<String> roles = new ArrayList<String>();
		//roles.add(VistaRealmRoles.VistaUserRole.getRoleName());
		//ClientPrincipal principal = new ClientPrincipal(
		//		"660", true, AuthenticationCredentialsType.Password, 
		//		"username3", "password5", 
		//		"126", "IMAGPROVIDERONETWOSIX,ONETWOSIX", "SSN1", "660", "Salt lake City", 
		//		roles, 
		//		new HashMap<String, String>()
		//);
		//TransactionContextFactory.createClientTransactionContext(principal);
	}

}
